LibreOffice: XBlob Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBlob Interface Referencepublished

is the representation (mapping) of an SQL BLOB. More...

`import <XBlob.idl;`

Inheritance diagram for XBlob:

## Public Member Functions
hyper | length () raises (SQLException)
| returns the number of bytes in the BLOB value designated by this `Blob` object.
sequence< byte > | getBytes ([in]hyper pos, [in]long length) raises (SQLException)
| returns as an array of bytes part or all of the BLOB value that this `Blob` object designates.
com::sun::star::io::XInputStream | getBinaryStream () raises (SQLException)
| retrieves the BLOB designated by this `Blob` instance as a stream.
hyper | position ([in]sequence< byte > pattern, [in]hyper start) raises (SQLException)
| determines the byte position at which the specified byte `pattern` begins within the BLOB value that this `Blob` object represents.
hyper | positionOfBlob ([in]XBlob pattern,[in] hyper start) raises (SQLException)
| determines the byte position in the BLOB value designated by this `Blob` object at which `pattern` begins.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is the representation (mapping) of an SQL BLOB.

A SQL BLOB is a built-in type that stores a Binary Large Object as a column value in a row of a database table. The driver implements BLOB using a SQL `locator(BLOB)` , which means that a `Blob` object contains a logical pointer to the SQL BLOB data rather than the data itself.
A `Blob` object is valid for the duration of the transaction in which is was created.

Methods in the interfaces com::sun::star::sdbc::XResultSet , and com::sun::star::sdbc::XPreparedStatement , such as `getBlob` and `setBlob` allow a programmer to access the SQL BLOB.
The `Blob` interface provides methods for getting the length of a SQL BLOB (Binary Large Object) value, for materializing a BLOB value on the client and for determining the position of a pattern of bytes within a BLOB value.

## Member Function Documentation

## ◆ getBinaryStream()

com::sun::star::io::XInputStream getBinaryStream | ( |  | ) |
raises | ( | SQLException ) |  |  |

retrieves the BLOB designated by this `Blob` instance as a stream.

Returns
  the stream

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBytes()

sequence< byte > getBytes | ( | [in] hyper | pos,
|  | [in] long | length )
raises | ( | SQLException ) |  |  |

returns as an array of bytes part or all of the BLOB value that this `Blob` object designates.

The byte array contains up to `length` consecutive bytes starting at position `pos`.

Parameters

  pos | is the ordinal position of the first byte in the BLOB value to be extracted; the first byte is at position 1.
  length | is the number of consecutive bytes to be copied.

Returns
  a byte array containing up to `length` consecutive bytes from the BLOB value designated by this `Blob` object, starting with the byte at position `pos`.

Exceptions

  SQLException | if there is an error accessing the BLOB.

## ◆ length()

hyper length | ( |  | ) |
raises | ( | SQLException ) |  |  |

returns the number of bytes in the BLOB value designated by this `Blob` object.

Returns
  the length

Exceptions

  SQLException | if a database access error occurs.

## ◆ position()

hyper position | ( | [in] sequence< byte > | pattern,
|  | [in] hyper | start )
raises | ( | SQLException ) |  |  |

determines the byte position at which the specified byte `pattern` begins within the BLOB value that this `Blob` object represents.

The search for `pattern` begins at position `start`.

Parameters

  pattern | the pattern to search
  start | the start position for the search

Returns
  the position

Exceptions

  SQLException | if a database access error occurs.

## ◆ positionOfBlob()

hyper positionOfBlob | ( | [in] XBlob | pattern,
|  | [in] hyper | start )
raises | ( | SQLException ) |  |  |

determines the byte position in the BLOB value designated by this `Blob` object at which `pattern` begins.

The search begins at position `start`.

Parameters

  pattern | the pattern to search
  start | position to start

Returns
  the position

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XBlob.idl